from cpl_core.application import ApplicationABC
from cpl_core.configuration import ConfigurationABC
from cpl_core.console import Console
from cpl_core.dependency_injection import ServiceProviderABC

from py_to_uxf_core.abc.python_parser_abc import PythonParserABC


class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)

        self._path = config.get_configuration('path')
        self._parser = services.get_service(PythonParserABC)

    def configure(self):
        pass

    def main(self):
        Console.banner('Py to UXF')
        if self._path is None:
            Console.write_line('Expected path')
            return

        Console.write_line(f'Found path:', self._path)
        self._parser.parse()
